Website uses an unsupported protocol. ERR_SSL_VERSION_OR_CIP

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Website uses an unsupported protocol. ERR_SSL_VERSION_OR_CIP

Postby enigma969 » 17. May 2017 01:23

I just installed a new wildcard certificate on my Ubuntu server (there was a single certificate installed before). I modified /etc/apache2/sites-available/000-default.conf which is for one specific subdomain and updated the paths:

Code: Select all
<VirtualHost *:80>
        ServerName www.site.com
        ServerAlias site.com
        ServerAdmin admin@site.com
        DocumentRoot /var/www/html
</VirtualHost>

<VirtualHost *:80>
        ServerName subdomain.site.com
        Redirect permanent / https://subdomain.site.com/
</VirtualHost>

<VirtualHost *:443>
     SSLEngine On
     SSLCertificateFile /etc/ssl/site.com/ssl_certificate.crt
     SSLCertificateKeyFile /etc/ssl/site.com/ssl/*_site_com_DSA_private.key
     SSLCertificateChainFile /etc/ssl/site.com/IntermediateCA.crt

    ServerAdmin admin@site.com
    ServerName subdomain.ipdoc.com
    ProxyRequests Off
</VirtualHost>


After restarting apache2, it asks for the password for *_site_com_DSA_private.key, which I enter and apache2 starts normal [OK].

When opening the page on Chrome I get:

Code: Select all
subdomain.site.com uses an unsupported protocol.
ERR_SSL_VERSION_OR_CIPHER_MISMATCH


On Firefox:

Code: Select all
no common encryption algorithm(s). Error code: SSL_ERROR_NO_CYPHER_OVERLAP


The paths for the certificate files are double checked. The subdomain first was protected with a single certificate, only for the subdomain. Everything worked.

Ubuntu Version 14.04
Apache2 Version 2.4.7
OpenSSL Version: 1.0.1f-1ubuntu2.22
enigma969
 
Posts: 2
Joined: 17. May 2017 01:18
XAMPP version: 2.4.7
Operating System: Ubuntu

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 5 guests